========================
Welcome to Freeciv 2.6.4
========================

The changes in the 2.6.x series are summarised below.
For changes prior to 2.6, see NEWS. For more detailed changes,
see the ChangeLog file.


CHANGES FROM 2.6.4 to 2.6.5
---------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.6.5>, 2021-06-24)

2.6.5 is a bugfix release. Notably it fixes regression in 2.6.4 gtk3-client that present units in city dialog had no overlays drawn at all.

Server / General
Changes affecting players (supplied rulesets)

    * Allow goto to a moving transport (but not through one) HRM#647612
    * Less predictable random seed supported on more platforms
        + On experimental msys2 based builds on Windows.
          Msys1 environment used for the official Windows builds
          does not provide interfaces required for this support
          osdn#41842 osdn#41995 osdn#42000
        + Older Linux osdn#41918 osdn#42024
    * Air unit goto avoids wait for refuel when it's not necessary
      HRM#923677 osdn#42029
    * Server does not send city info to clients in the middle of
      calculations where the info might be inconsistent osdn#41851 osdn#41975
    * Already built buildings are purged from the worklist.
      They used to be just postponed osdn#41925
    * Terrain changing unit activities are cancelled when climate change
      changes tile terrain. With the new terrain the target of those actions
      is not what was started HRM#899919
    * Avoid endless loop with scenarios having bad starting positions HRM#767127
    * Server correctly informs client when loading a savegame fails.
      It used to always claim that load was succesfull to the client osdn#42189
    * Game refuses paradropping to a tile with known enemy unit as
      that would only be certain death for the paradropping unit HRM#869995
    * Fixed a bug that when player providing shared vision was removed,
      the vision would remain for the other players HRM#883225
    * Corrected bribe cost of units with build cost not multiple of ten.
      Especially this makes bribe cost of units with build cost
      less than ten not to be zero. HRM#929034
    * Avoid server getting stuck when loading ruleset that has unit
      obsoletion loop osdn#42301

    * civ1
        + Made traderoute one-time-bonus gold only osdn#42317

Changes affecting other rulesets / modders

    * When calculating action success chance, surviving tech requirements
      on World range are known to be known by everyone HRM#922369
    * Fixed scorelog start check to work correctly with ruleset set
      start year other than default HRM#820731
    * Fixed server crash when illness destroys a city. That can happen only
      with rulesets that enable illness for size 1 cities osdn#41959
    * Server now checks that unit's transport can hold the target unit
      before converting unit HRM#921940
    * Terrain transform time of zero now really disables transforming,
      as documented osdn#42120

General

    * Minor optimizations HRM#921195 osdn#42331
    * Various internal changes which should only affect developers
      osdn#41764 osdn#41852 HRM#923660 osdn#41772 osdn#41873 osdn#41847
      osdn#41953 osdn#42006 osdn#41937 osdn#42098 osdn#42045 osdn#42053
      osdn#42101 osdn#42117 osdn#42142 osdn#42192 osdn#42346 osdn#42325
      osdn#42043 osdn#41947 osdn#42340 HRM#909607 osdn#42421 osdn#42461
      osdn#42456

AI

    * Better air unit handling HRM#924327
    * Better evaluate value of transports filled with cargo for
      the invasion attempt HRM#872215
    * AI puts more weight on potential improvement's gold effect
      (including upkeep) when it's short of gold osdn#42195
    * Corrected actual AI's use of advisor when it's evaluating governments
      osdn#42231
    * Stopped fueled units from unnecessary hopping between bases
      when they should regenerate HRM#924328
    * Fixed rare AI crash when tech upkeep was enabled and a player had
      researched zero techs osdn#42409

Clients

    * User is now allowed to open a new action selection dialog while
      another is open osdn#41920
    * Fixed a governor crash when client does not know the other end
      of the trade route, but thinks it knows it osdn#41926
    * Buildings that allow units to perform actions are no longer
      shown as redundant osdn#41955
    * Client now logs about start of new turn on verbose log level osdn#41973
    * Don't promise that there's a one time trade bonus when there is not
      osdn#42087
    * Improved indentation of entries in the left panel of the city dialog
      osdn#42298

    * gtk3 & gtk3.22
        + Make sure scrollbar does not hide rightmost column in units and
          economy reports osdn#42167
        + (gtk3 only) Use proper overlays for units in citydlg
          present units area osdn#42284
        + (gtk3.22 only) Get information from correct display on multi-display
          setup when user interacts with city's improvement list.
          It used to always assume default display. osdn#42183
        + (gtk3.22 only) Made tab notice color different from alert color osdn#42295
        + Fixed pillaging of the default target osdn#42168
        + Fixed loading unit to the default transport osdn#42303

    * sdl2
        + Fixed screen refreshing when there's no active units osdn#41683

Tools
Ruledit

    * Support editing Description File Reference osdn#41946
    * Other minor fixes osdn#41945

Tilesets, Art, etc

    * Visible_Walls effects from City Walls and Great Wall are no longer
      cumulative in supplied rulesets, better supporting potential
      tilesets with multiple Wall graphics HRM#823341
    * Fix to hexemplio format osdn#41923

Help / Documentation

    * Freenode network has been replaced by Libera.Chat network as
      the official freeciv IRC channel osdn#42541
    * Made man page links to work in MacOS osdn#42178
    * Added man page freeciv osdn#42138
    * Miscellaneous improvements to in-game text and user documentation
      HRM#811425 osdn#41969 HRM#727155 osdn#41938 osdn#42260 osdn#42207
      osdn#42337 osdn#42119
    * Miscellaneous changes to developer/install/ruleset docs
      osdn#41833 osdn#41887 osdn#41998 osdn#41943 osdn#42071 osdn#42017
      osdn#42049 osdn#42061 osdn#42126 osdn#42217 osdn#42405 osdn#42373
      osdn#42411

Translations

    * Updated translations:
        + Complete translations: Catalan, French, Polish
        + Incomplete translations:
          Finnish (100% core, 91% nations, 100% ruledit),
          Russian (99% core, 100% nations, 100% ruledit)

Build/portability

    * Updated bootstrap files from gnulib upstream
      osdn#41726 osdn#41758 osdn#41754 osdn#41818 osdn#41830 osdn#41889
      osdn#41906 osdn#41999 osdn#42034
    * Make sure that freeciv's configuration header does not cause trouble
      when building liblua as part of freeciv. Problems were reported
      specifically in MacOS build. By default liblua is not built,
      but existing library is used from the system. osdn#42114
    * Fixed MacOS build problem where files documenting Version of dependencies
      was mistaken for a system header osdn#42271
    * Respect user set MOCCMD on MacOS build osdn#42342
    * Fixed build on older OSX versions osdn#42439
    * Fixed compiler warnings seen with various setups
      osdn#41905 osdn#41932 osdn#41933 osdn#41890 osdn#42021 osdn#42036 osdn#42058
    * Fixed false positive when configure looks for moc-qt5 command osdn#41997


CHANGES FROM 2.6.3 to 2.6.4
---------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.6.4>, 2021-03-31)

2.6.4 is a generic bugfix release.
Server / General
Changes affecting players (supplied rulesets)

    * Made automatic selling of coastal improvements from a city that
      gets landlocked to work better HRM#880455
    * Adjusted formula for barbarian band size. For nations with less
      than 32 cities there is no change, but bigger empires get bigger
      barbarian bands than they used to HRM#767126
    * Fixed postponing buildings from worklist. They were never really postponed
      HRM#912972
    * Combat messages show more detailed information about combatants HRM#913055
    * Fixed display of game years above 32768 HRM#918800
    * Players no longer need hack access to disable timeout any more than
      they need for enabling it HRM#647101
    * Fixed crash, seen on client side, when receiving extremely well
      compressed network packets HRM#918726
    * Send meetings initiated by AIs player is in contact with initially
      (thanks to dispersion server setting) to client when it is ready to
      handle them. Not only did the bug prevent those meetings from opening
      in the client, but it prevented player from ever opening a meeting
      with that AI. HRM#764968
    * Corrected check that the upgraded unit will fit to its transport before
      upgrading it HRM#921691
    * Clients connected to the server are no longer sent to the pre-game screen
      when there's an (failing) attempt to load a savegame when game is
      already running HRM#767358
    * Corrected calculation of nation's literacy value when number of citizens
      has changed during the turn, e.g., by losing cities HRM#880780
    * Update a city also on other player's clients when its size get reduced
      because of a nuke osdn#41810 osdn#41860
    * Made generated random seed less predictable on most platforms.
      Windows is a notable exception HRM#914184 osdn#41838

    * civ2civ3 ruleset:
        + Fixed tile output penalties not to apply to Luxury or Science bonuses
          provided by wonders like Hanging Gardens HRM#908518

Changes affecting other rulesets / modders

    * Fixed messages claiming that a tech obsoletes a wonder, when in fact
      the tech was negated obsoletion requirement HRM#874192

General

    * Appdata files use https for screenshot URLs HRM#921959
    * Minor optimizations HRM#905143 osdn#41870 HRM#911970
    * Various internal changes which should only affect developers.
      HRM#851202 HRM#911183 HRM#902490 HRM#899230 HRM#898088 HRM#915700
      HRM#918815 HRM#918801 HRM#900470 HRM#910927 HRM#918990 HRM#911733
      HRM#849990 HRM#922008 HRM#922145 HRM#922785

AI

    * When considering building unit for city bashing, use its actual
      attack count instead of assuming it to be one. This makes AI
      to understand e.g. that unit with movement 2 can both attack and
      conquer at the same turn HRM#872218

Clients

    * Fixed issues in music track selection HRM#910919 HRM#910605 HRM#683570
    * Fixed client crash on setting up patrol for fuel > 1 unit HRM#919308

    * Fixes to the Qt client:
        + Confirmation dialog added for disruptive unit selection HRM#907806
        + Close goto dialog when leaving the game. Related crash fixed HRM#911885
        + Fixed crash after loading of some shortcuts has failed HRM#909515

    * Fixes to the gtk clients:
        + (gtk3.22 only) Terrain help shows terrain image HRM#912939
        + Intelligence dialog now shows "(Unknown)" for information player
          doesn't know about, instead of dummy values HRM#765366

    * Fixes to the sdl clients:
        + Intelligence dialog now shows "(Unknown)" for information player
          doesn't know about, instead of dummy values HRM#918827
        + (sdl2 only) Fixed border graphics getting messed up when
          recentering map osdn#41629


Help / Documentation

    * Point to osdn.net as the bug reporting address. HRM#896778
    * List Sveinung Kvilhaugsvik in present maintainers osdn#41820
    * Miscellaneous other improvements to in-game text and user documentation.
      HRM#699165 HRM#918741 osdn#41630 HRM#870009
    * Miscellaneous changes to developer/install/ruleset docs
      osdn#41676 osdn#41744 osdn#41779 osdn#41776 osdn#41803 HRM#923438

Translations

    * Updated translations:
        + Complete translations: Spanish, French, Polish
        + Incomplete translations:
          Finnish (100% core, 91% nations, 100% ruledit),
          Russian (99% core, 100% nations, 100% ruledit)
    * Marked some strings for translation which were erronously not collected
      for translation HRM#918816 HRM#918937

Build/portability

    * Fixed Qt-client deprecation warnings HRM#910441 HRM#910460 HRM#910547
    * Deprecation warnings are again enabled for C++ code also in
      --enable-debug builds HRM#896335
    * Support MagickWand-7 HRM#905573
    * Reworked gtk3-client to fix gcc-11 compile errors
      HRM#904733 HRM#905530 HRM#906210 HRM#906539 HRM#906866 HRM#908748
      HRM#910393 HRM#900565
    * Fixed other compiler warnings seen with various setups
      HRM#899569 HRM#900975 HRM#899574 HRM#912464 HRM#901860 HRM#914093
      HRM#916123 HRM#918786 HRM#918824 HRM#918890
    * Improved Haiku support:
        + Made ~/config/settings/freeciv the storage directory HRM#911958
        + Fixed IPv6 support HRM#912369
    * Windows specific changes:
        + Windows msys2 environment updated to snapshot of 2021-02-26
          HRM#853127 HRM#912492 HRM#918825
        + Ruledit no longer opens up console window in addition to the GUI window
          HRM#681310
    * Fixed configure time error when sqlite header is in nonstandard location
      HRM#913433
    * Added --enable-patient-connect configure option for supporting
      low-end embedded devices HRM#899259
    * Configure now automatically detects if moc command is called moc-qt5.
      It's no longer necessary to manually set MOCCMD in platforms where
      that is the case, such as Cygwin osdn#41674
    * Fixed bootstrapping failure in some setups with autoconf-2.71 HRM#921737


CHANGES FROM 2.6.2.1 to 2.6.3
-----------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.6.3>, 2020-12-31)

   2.6.3 is a generic bugfix release.

Server / General
Changes affecting players (supplied rulesets)

    * Fixed trouble when a new city is founded to the ruins of a former city,
      and that new city establish a trade route with a player who had seen
      former city, and is unaware that it had been destroyed HRM#871606
    * Fixed a case where shared vision did not completely update
      recipient's map HRM#846106
    * Fixed a bug where one could paradrop to peaceful nation's territory
      after continuing game from an old savegame HRM#879084
    * Fixed a bug causing game sometimes to tell wrong reason of why an
      action failed HRM#879880
    * Cease fire no longer runs out with an already dead player, making his
      former allies to hate the alive party of the treaty HRM#879055
    * Made server not to end in a infinite loop after loading savegame with
      too high phase number. Such a savegame was reported to be created
      after spaceship was launched but game was still continued HRM#815196
    * Unified writing of the city name Washington-on-the-Brazos
      between rulesets, so it doesn't appear multiple times in the same
      game in a bit different form HRM#867817
    * Stealth units are no longer erroneously hidden even from allies
      HRM#764976
    * Placing initial units is now done in shuffled player order HRM#850656
    * Corrupt worker tasks are cleared. Those can originate, e.g.,
      from buggy pre-2.6.2.1 Qt-client, and live in old savegames HRM#901938
    * In a ruleset, such as civ2civ3, where caravans can help building wonder
      in a foreign city, refresh city info of the city owner when one does
      HRM#907977

Changes affecting other rulesets / modders

    * Display of success probabilities for diplomats was off when targeting
      stack of units instead of individual unit HRM#859761
    * Fixed pillaging of extras that are caused by something else than
      player actions. For the fix to work, both server and client must be
      at least version 2.6.3 HRM#861508
    * Civilian unit trying to paradrop to an enemy city dies HRM#870004
    * Prevented dead player from getting techs via Tech_Parasite effect.
      This caused trouble in alien ruleset where Tech_Parasite is granted
       by a tech HRM#873692
    * Improved support of CityTile requirement type HRM#877780
    * Fixed trouble preventing Small Wonders from working as impr_reqs
      for units HRM#884993
    * Corrected success probability shown by action dialog when it depends
      on a special kind of road HRM#897490
    * The included Lua engine has been upgraded from 5.3.5 to 5.3.6. HRM#889425

Changes affecting server operators

    * /write command now adds .serv extension to the filename if it
      doesn't have one. Only files with the extension can be read by
      the /read command HRM#677584 HRM#892376

General

    * Fixed buffer overflow vulnerability in reading in score log file.
      Score log functionality is not enabled by default. HRM#907791
    * Fixes to memory handling errors
      HRM#863750 HRM#872662 HRM#874452 HRM#839702 HRM#894582
    * Freeciv metadata Desktop files renamed and Appdata files changed
      to be more standards compliant HRM#853571 HRM#892377
    * Minor optimization HRM#905312
    * Various internal changes which should only affect developers.
      HRM#859775 HRM#861499 HRM#861500 HRM#861875 HRM#868649 HRM#870142
      HRM#870178 HRM#871296 HRM#871873 HRM#872193 HRM#872904 HRM#874191
      HRM#876088 HRM#879100 HRM#858229 HRM#891555 HRM#895052 HRM#896720
      HRM#898550 HRM#898117 HRM#902626 HRM#904301 HRM#905828 HRM#905523
      HRM#908900

AI

    * AI is made more determined to attack enemy players that would be
      easy to finish off, as measured by the number of cities left HRM#855339
    * The fact that enemy city is already empty no longer reduces AI's
      want to build unit capable of conquering it HRM#872220
    * AI now might initiate spacerace if it's in technical lead and
      the only one who can do so even if there's other player who has
       better production HRM#894739
    * Fixed an issue causing production of a player marked away to be
      unnecessarily changed HRM#904268

Clients

    * Fixed middle-click display in case two or more units do different
      activities that will result in the same extra in tile.
      The bug would manifest itself only in exotic rulesets. HRM#861509
    * Success probability for Poison City and Poison City Escape actions
      is now shown HRM#861825 HRM#861827
    * Mine activity is again always referred as Mine, and never as Plant.
      This affects at least grouping of units in unit selection dialog.
      HRM#853128
    * Show more standardized information about the actions in action
      selection dialogs HRM#874621
    * Lua functions City:is_happy() and City:is_unhappy made to work on
      correctly on client lua console HRM#8811951
    * Fixed trouble when mapimg settings are changed before entering game
      HRM#886678
    * City dialogs now show correct tile output on the turn celebration
      is about to end HRM#885093
    * Made client more robust against invalid worker tasks sent by the server
      HRM#885482
    * Select new music track when music should continue with the same style.
      It was stopping after the first track. HRM#905818

    * Fixes to both Gtk and Qt clients:
        + City dialog now shows city's airlift capacity HRM#858965 HRM#899057
        + City dialog now shows city's size HRM#872815 HRM#901393

    * Fixes to the Gtk3 and Gtk3.22 clients:
        + The default for new installations is now to have Chat and Messages
           display separately. This does not affect old installations with
           the setting value already saved. HRM#860624
        + Fixed a problem causing Fog of War sometimes being too dark HRM#862511
        + City dialog tooltip no longer proposes selling a building when it
          can't be sold HRM#885725
        + Extraneous files have been removed from the default theme HRM#894559
        + Fixed crash on receiving some chat messages with link tags HRM#910832

    * Fixes to the Qt client:
        + Map Image files saved with correct name HRM#860076
        + Improved icon selection about Irrigate and Mine activity results
          on various terrains HRM#861867
        + Don't include plus sign to the display of money gained when player
          is actually losing money. It used to show it like "+-2". HRM#863755
        + Don't show bogus move points information about enemy units,
          from which client does not know the truth HRM#857638
        + Fixed warnings Qt was giving about Freeciv themes HRM#891563
        + Refresh goto dialog Airlift information when unit selection changes
          HRM#908664

    * Fixes to Sdl clients:
        + Made worklist display to refresh reliably when its contents
          are changed HRM#861461
        + Update climate change icons when ever they should HRM#861479
        + Fixed keyboard key bindings for building bases, such as
          Fortress and Airbase HRM#861497
        + Improved tooltip and icon selection about Irrigate and Mine
          activity results on various terrains HRM#861498 HRM#894434
        + Corrected order buttons' tooltip about the completion time
          of the activity. The turn count displayed was wildly off. HRM#861460
        + Tooltips for more order buttons shows information about their
          result and completion time HRM#861501
        + (sdl2 only): Don't try to show nation legend in races dialog,
          where it doesn't fit at all HRM#858718
        + Toggle Mini Map Mode button has been removed. It did nothing.
          It only confused users by its existence HRM#898649

Tools
Ruledit

    * Save multiplier offset and factor to the ruleset saved HRM#908577


Help / Documentation

    * Windows installers place a shortcut from start menu to the freeciv
      documentation directory to make it easier to find the documentation
      HRM#871325 HRM#871297
    * Clarified that sandbox ruleset Ecclesiastical Palace does not
      function exactly as second capital. Similar change was already
      done for civ2civ3 ruleset HRM#898469
    * Improvements to error diagnostics of custom modpack content
      HRM#899315 HRM#899339 HRM#901829
    * Miscellaneous other improvements to in-game text and user documentation.
      HRM#861462 HRM#864579 HRM#871307 HRM#883116 HRM#884474 HRM#856804
    * Miscellaneous changes to developer/install/ruleset docs
      HRM#875196 HRM#899594 HRM#899608

Translations

    * Updated translations:
        + Complete translations: Catalan, Spanish, French, Polish, Russian
        + Incomplete translations:
          Finnish (100% core, 91% nations, 100% ruledit)
    * Ruledit searched some translated strings from wrong domain,
      and thus failed to find them HRM#902423

Build/portability

    * Fixed regression in 2.6.2 that was causing configure checks
      for Windows _mkdir() function to fail in debug builds HRM#863322
    * Fixed compiler warnings seen with -O3 optimization level
      HRM#870481 HRM#870482 HRM#886330 HRM#886331
    * Silenced Qt's deprecation warnings in debug builds where they
       were being turned to errors. Release builds still have
       the warnings enabled HRM#870968
    * Fixed compiler warning with clang-11 HRM#883284
    * Fixed compiler warning with gcc-11 development version HRM#894423
    * Fixed other compiler warnings seen with various setups
      HRM#871676 HRM#871686 HRM#871688 HRM#882483 HRM#893306
    * Gettext bootstrap files included in freeciv distribution updated
      to gettext-0.21 ones. This improves compatibility with builds
      in OpenEmbedded HRM#882434 HRM#883109
    * Fixed some autoconf-2.70 warnings. More remains. HRM#889543 HRM#889544
    * nanosleep() is used instead of deprecated usleep() HRM#896807


CHANGES FROM 2.6.2 to 2.6.2.1
-----------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.6.2.1>, 2020-11-27)

   2.6.2.1 fixes critical build failures and crash bugs,
   and brings documentation updates.

Server / General
Changes affecting custom rulesets / modders

    * Fixed server crash when unit with zero move_rate
      is transformed ​HRM#868905​
    * Fixed crashes when using Direction objects in lua scripts
      ​HRM#880869​

Clients

    * Fixed crash when chatline text had opening tag without
      closing tag ​HRM#887581​
    * Fixes to the Qt client:
        + Fixed general memory corruption problems. It's not known
          what user visible symptoms these had, if any. ​HRM#859139​
        + Fixed crash under certain conditions when entering the game
          HRM#863839​
        + Fixed occasional crash around turn change
          HRM#857974​ ​HRM#858251​
        + Fixed crash when global observer looks at players dialog
          HRM#863815​
        + Fixed memory corruption when worker task was cleared.
          One known symptom of this was that opening some city dialogs
          would crash. ​HRM#887748​
        + Fixed crash when trying to use trade planning.
          This was reggression in 2.6.2. ​HRM#874406​

Help / Documentation

    * Point to freeciv-dev mailing list as the bug reporting address.
      This is likely to change again in a future release. ​HRM#894573​
    * Clarified that civ2civ3 ruleset Ecclesiastical Palace does not
      function exactly as second capital ​HRM#872573​
    * Miscellaneous other improvements to in-game text and
      user documentation ​HRM#870391​
    * Miscellaneous changes to developer/install/ruleset docs
      HRM#868505​ ​HRM#857353​ ​HRM#855637​ ​HRM#869737​ ​HRM#874123​
      HRM#880508​ ​HRM#881455​

Translations

    * Updated translations:
        + Complete translations: Spanish, French, Polish, Russian
        + Incomplete translations:
            Catalan (99% core, 100% nations, 100% ruledit),
            Finnish (100% core, 91% nations, 100% ruledit),
            Simplified Chinese (37% core, 8% nations, 3% ruledit)

Build/portability

    * Fixed Qt-client build against Qt-5.15 ​HRM#868060​
    * Fixed problems in compiling with clang-10 ​HRM#868533​
    * Fixed compiling of included lua with gcc-10 ​HRM#889511​


CHANGES FROM 2.6.1 to 2.6.2
---------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.6.2>, 2020-02-15)

   2.6.2 mainly fixes bugs in the clients.

Server / General

Changes affecting players (supplied rulesets)

     * Fix Great Library sometimes granting technologies too soon (in
       rulesets where it grants techs known by other players). If
       team-pooled research is enabled (the default), and a team of
       multiple players learned a tech, the Great Library could grant the
       tech to its owner too soon, due to counting the individual players
       knowing the technology, rather than counting the teams. HRM#817118
     * Fix a possible crash when running out of money in rulesets with
       recursive transports and gold upkeep. HRM#852938
     * Changed how the 'steepness' setting generates mountains --
       increasing 'steepness' did not always increase the mountain
       percentage. The behavior with the default value (30) is unchanged,
       but with different values map generation will come out differently.
       HRM#767003
     * Players witnessing a non-allied cargo unit loading onto a transport
       on the same tile were left with a 'ghost' of the cargo unit visible
       in their client. HRM#858214 HRM#847413
     * In the 'experimental' ruleset, a Spy bribing a unit that wasn't
       alone on its tile could give a spurious "not an attack unit"
       message. HRM#765938
     * Some messages about other players gaining techs described the other
       player as "Team 2" even if their team only had a single member.
       HRM#855670
     * The 'Multicultural' achievement in some rulesets was misdescribed.
       (It counts citizen nationalities across your whole civilization,
       not just a single city.) HRM#855938

Changes affecting other rulesets / modders

     * Fix various trouble with Lua script signals emitted when a city
       completed its production. (The precise sequence of events at this
       time has changed slightly.) HRM#853935
          + A unit whose creation disbanded a city didn't emit the
            'unit_built' signal.
          + Trouble if certain script handlers triggered at this point
            caused the city to be destroyed.
     * The grammar of the string returned by the Lua function
       (Player):research_name_translation() has changed (from a singular
       proper noun to a plural common noun), so scripts using this
       function probably need to adjust their strings. (It is commonly
       used when granting techs.) HRM#855670
     * When a Traderoute_Pct effect was in use, the client's breakdown of
       trade in the city dialog could become confused, and include a
       spurious '(unknown)' term. The final trade value was displayed
       correctly. HRM#854306
     * If a ruleset used a custom action name with the '&' or '_'
       characters, it could have been misdisplayed in clients; now such a
       name is handled better. HRM#857339
     * Fix a crash on loading a ruleset with a particular (unlikely)
       malformed 'Specialist' requirement. HRM#852927
     * Apply an upstream bugfix to our copy of Lua 5.3.5 (bug #4).
       HRM#853700

Changes affecting server operators

     * A new command '/list rulesets' lists all the rulesets known to the
       server (strictly, all the .serv files that could be /read).
       HRM#854630

General

     * Failure to load a savegame (for instance, due to not having its
       ruleset installed) is now handled better. HRM#854623
     * Various internal changes which should only affect developers.
       HRM#852857 HRM#852918 HRM#852936 HRM#852996 HRM#853037 HRM#853412
       HRM#853540 HRM#852923 HRM#853422 HRM#853705 HRM#853704 HRM#854081
       HRM#853520 HRM#854093 HRM#854307 HRM#854367 HRM#854295 HRM#854328
       HRM#854096 HRM#854615 HRM#854739 HRM#855389 HRM#856478 HRM#856477
       HRM#855482 HRM#857337 HRM#852856 HRM#854090 HRM#854474 HRM#855537
       HRM#858243

AI

     * When deciding whether to encourage migration, the AI was not
       considering all the foreign cities from which citizens could
       migrate to its own. (This affected the 'Migration_Pct' effect, used
       for instance in the 'experimental' ruleset.) HRM#854301

Clients

     * When a new tech allows a new government type, sometimes the menu
       item to switch to it was not immediately made sensitive, preventing
       switching to that government. HRM#856629
     * When drawing a path, user-set waypoint markers sometimes weren't
       displayed. HRM#856946
     * Nation culture, and culture points gained per turn, are now visible
       in the civilization popup and city dialog breakdown. HRM#857083
       HRM#857084
     * The client could crash when loading a new tileset any time after a
       game had started. HRM#858069
     * If the tileset was overridden by a ruleset, there could be trouble
       including invisible borders and assertion failures on the console.
       HRM#858072
     * Fix various bugs with migrating client settings from previous
       Freeciv or library versions. The most likely manifestation was the
       full-screen setting being reset on the first or second run of a new
       client. HRM#858207 HRM#857675 HRM#858208
     * The precise meaning of 'plague risk' (percentage chance of plague
       per turn) has been clarified in the UI: HRM#854478. It's also now
       visible in the SDL clients: HRM#854479.
     * Remove possible duplicate descriptions in city dialog sum
       breakdowns, and other cosmetic tweaks. HRM#856260 HRM#856256
       HRM#859209
     * (Gtk) and (Qt) The city sum popups now use a fixed-width font.
       HRM#854005 HRM#857341 HRM#854303
     * Fixes to all the Gtk clients:
          + The Gtk clients no longer default to arranging widgets for
            small displays (although Gtk3/3.22 may enable this setting for
            fresh installations if the screen resolution is small, see
            below). HRM#858179
          + Fix console messages about "out of range for property
            'weight'". HRM#857203
          + The popups when rulesets ask to override
            tileset/soundset/musicset choice are now keyboard-accessible.
            HRM#857082 HRM#857239
     * Fixes to the Gtk3 and Gtk3.22 clients:
          + The vote bar could be displayed in the wrong location, wasting
            a lot of screen space, in some configurations including the
            default: if "Arrange widgets for small displays" was set, or
            if "Messages and Chat reports location" was set to "Merged".
            HRM#656550
          + The overview map, etc, were erroneously displayed on the right
            if "Arrange widgets for small displays" was set. Now they are
            on the left, as with other clients/configurations. HRM#853922
          + Stop the worklist source task list jumping around annoyingly
            when adding an item to the worklist. HRM#706351
          + These clients now try to adapt layout settings to screen size
            on the first run; they always intended to, but it should now
            actually work. (If you have already run a client, your
            existing settings for that client won't be changed.)
            HRM#765941 HRM#858203 HRM#858202
     * Fixes specific to the Gtk3.22 client:
          + The red highlighting of emergencies on the city dialog was
            only shown the first time such a dialog was opened. HRM#856484
          + Fix detach handles on the main game view being too wide:
            HRM#854002. (The Gtk3 client is still affected by this, on
            some systems: HRM#853912.)
          + Stop the main view changing size when different size unit
            stacks were focused (visible mainly with large hex tilesets).
            HRM#858871
          + If migrating straight from the Gtk2 client to Gtk3.22
            (skipping Gtk3), client settings were not migrated. HRM#856682
     * Fixes to the Qt client:
          + Since 2.6.1, the client could sometimes fail to load its theme
            properly: some parts of the interface would be unthemed, and
            the main sidebar icons would go white when hovered over.
            HRM#853130 HRM#853140
          + The Nations report showed the player's own gold and government
            as 'unknown'. HRM#857334
          + Opening the Nations report as a global observer would crash
            the client. HRM#855199
          + Opening the Policies dialog could display current values
            wrongly, and cause them to be changed even if you touched
            nothing. HRM#855486
          + The client could crash if, while choosing a rally point,
            either the original city was destroyed or a target tile off
            the edge of the map was selected. HRM#830553
          + Fix trouble after entering the 'pick nation' dialog.
            HRM#858212
          + The 'Disband' menu item was sometimes available when it
            wouldn't have worked. HRM#855366
          + Rulesets and user input containing '&' characters, or
            HTML-like markup, could be displayed incorrectly. HRM#857340
            HRM#857342
          + The client could crash if loading a malformed tileset with
            missing graphics files. HRM#857808
     * (SDL/2) Fix assertion failure messages when first opening help
       browser. HRM#854468
     * Fixes to the SDL2 client (regressions from the SDL client):
          + Many keyboard shortcuts didn't work. HRM#854476
          + Some right/middle-click actions were unavailable. HRM#854477
          + Fix a crash when editing global worklists. HRM#854475
     * Various other tiny improvements to some or all clients. HRM#853923
       HRM#853921 HRM#856465 HRM#854366

Tools

     * Fix possible crashes or other trouble in the GUI modpack
       installers, particularly after a failed download. HRM#858823
     * Add a README for the modpack installer tool,
       doc/README.modpack_installer. This describes what it's for, how to
       use it, and how to publish modpacks that it can use. HRM#854464

Help / Documentation

     * Clarified the civ2civ3 ruleset help for the Statue of Zeus. (All
       its effects benefit all the owner's cities.) HRM#856984
     * Add a description of the new 'worker tasks' feature. HRM#657405
     * Units with population cost are documented better, and the relevant
       city option is better described. HRM#853987
     * Miscellaneous other improvements to in-game text and user
       documentation. HRM#854105 HRM#854117 HRM#856473 HRM#763061
       HRM#854305 HRM#689474 HRM#858226
     * Miscellaneous changes to developer/install/ruleset docs. HRM#853321
       HRM#853326 HRM#853526

Translations

     * Updated translations:
          + Complete translations: Catalan, French, Polish, Russian.
          + Incomplete translations: Finnish (100% core, 91% nations, 100%
            ruledit), British English (95.6% core, 100% nations, 100%
            ruledit).
     * The Qt client always displayed nation set descriptions in English.
       HRM#857331
     * Windows installers now don't mangle the language name "Norwegian
       Bokmål". HRM#852637 HRM#681314

Build/portability

     * The Windows builds now correctly support https URLs (as well as
       http) for fetching modpacks, etc. (Both the standard msys1 builds
       and msys2 builds.) HRM#853960 HRM#833269
     * New configure option --with-cacert-path, to control where Curl
       finds the CA certificates for https etc. HRM#854259
     * Improve configure-time documentation/diagnostics relating to SDL
       and SDL_mixer versions. HRM#853364 HRM#853375
     * Don't attempt to build the tolua executable if
       --enable-sys-tolua-cmd is specified -- it's unnecessary, and caused
       trouble on some platforms. HRM#853406
     * The configure script could give a spurious message 'unary operator
       expected' on platforms including Mac OS X. HRM#854668
     * The Windows msys1 builds are now based on our
       gnuwin32-2020-01-02.7z package. HRM#851511 HRM#852637


CHANGES FROM 2.6.0 to 2.6.1
---------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.6.1>, 2019-12-18)

   2.6.1 is mostly a bugfix release.

Server / General

Changes affecting players (supplied rulesets)

     * Vision-providing bases, such as buoys, could in some circumstances
       remove visibility from tiles, perhaps preventing the owner's cities
       from working them, in the presence of autosettlers. HRM#797698
       HRM#781551
     * Various automatic processes in cities at turn change, such as
       rearranging workers when a settler is built, no longer interrupt
       rapture growth before the player can intervene. HRM#771536
     * A warning is now displayed every turn when units are at risk of
       being disbanded due to an armistice turning into a peace treaty.
       HRM#764959
     * All players are now warned the turn before a game is due to end due
       to a spaceship arriving, or due to the endturn server setting.
       HRM#764421 HRM#764956
     * Stop displaying "wonder will be finished next turn" messages for
       obsolete wonders. HRM#764965
     * If a city starts to build an improvement from the worklist whose
       requirements are not yet met (for instance, its technology is not
       yet known), it will now be left on the worklist, rather than
       purged. The city will accumulate production points until the
       requirements are met or the player intervenes. (This is a
       longstanding feature, but has been broken for a long time.)
       HRM#846514
     * If a player used /away to set up caretaker AI, any worker tasks the
       player had set (by right-clicking on the city map) would be
       forgotten. HRM#685283
     * Cities produced pollution slightly too often. HRM#763881
     * When your attempt to steal technology fails, you're now told if it
       is because you already stole from that city. HRM#801810
     * The dispersion server setting on hex maps now uses a hexagonal
       distribution, rather than a square one. HRM#767131
     * Historians failed to take angry citizens into account when
       reporting on the "HAPPIEST Civilizations". HRM#763884
     * Fix a possible network protocol warning when units are starving.
       HRM#661865
     * Increased the amount of culture points required for cultural
       victory in rulesets where that is possible: civ2civ3 (disabled by
       default), experimental, and sandbox (disabled by default).
       HRM#766716
     * Being the first to gain an achievement no longer gives you double
       the usual culture bonus for that achievement. (Affects civ2civ3 and
       sandbox rulesets.) HRM#763885
     * Fix unconfirmed server trouble in rulesets with a "Land Ahoy"
       achievement (civ2civ3, experimental, sandbox). HRM#823174
     * Improvements to civ1 ruleset fidelity:
          + Remove all restrictions on tax rates. HRM#827329
          + Only Artillery and Bombers should ignore City Walls, not other
            aircraft. HRM#822926
          + The Great Wall did not prevent population loss in cities it
            protected. HRM#822929
          + Railroads can no longer be built on city centre tiles (and do
            not appear there automatically), for behaviour closer to the
            original. HRM#803249
          + Forests can no longer be planted on river tiles. HRM#825239
          + Online help claimed that land units could be airlifted; they
            can't. HRM#850673

Changes affecting other rulesets / modders

     * In rulesets which allow capturing units, it's no longer allowed to
       capture a transport which is carrying units. (Previously this was
       allowed, but left the game in a broken state.) HRM#772516
     * In rulesets with nation-specific starting units, care is now taken
       to place them on tiles they can exist on, and clear any huts from
       their tile. HRM#767129
     * A unit entering a tile containing multiple hut-like extras is now
       handled more correctly. HRM#824708
     * If a unit entered a tile containing an extra with cause 'Hut', then
       any other extras on the tile with category "Bonus" would also be
       treated as more huts, even if they didn't have cause 'Hut'. (For
       example, this would affect Ruins in supplied rulesets, except that
       it's not possible for Hut and Ruins to end up on the same tile by
       the operation of standard game rules.) HRM#782719
     * The game editor didn't allow changing research bulbs if the player
       was researching Future Tech at the time. HRM#765089
     * Copying and pasting tiles in the game editor would accidentally
       paste the same units three times. HRM#850947
     * Rulesets which defined a unit type without any tech_req could crash
       the server, rather than giving an error message. HRM#816374
     * Fix inability to use default/nationlist.ruleset in a custom ruleset
       lacking standard plural-named terrains such as 'Hills'. HRM#827555
     * Calling the Lua API function (City):inspire_partisans from the
       client could crash it, due to incomplete game knowledge. Now this
       function returns false if determining the answer requires knowledge
       that is not available in the caller's context. HRM#797679
     * Coding style clean up to supplied default.lua script. HRM#822189
     * The included Lua engine has been upgraded from 5.3.4 to 5.3.5.
       HRM#765936

Changes affecting server operators

     * If control of a player was delegated over a game load/save cycle,
       ending the delegation would not restore control to the original
       owner. HRM#772657
     * If a fixed random seed (gameseed) was set, second and subsequent
       games started on a single server would not honour it. HRM#761219
     * Included Luasql has been upgraded from 2.3.5 to 2.4.0. HRM#801775

Low-level changes

General

     * Various changes to pathfinding, affecting how goto paths are drawn
       in the client as well as the actual paths chosen by units. Notably,
       the "Turns to target" shown for goto paths now indicates how many
       turns before the unit can act again, as it did in 2.5. Other
       changes affect fueled units, including a fix for a possible
       infinite loop. HRM#763893 HRM#657396 HRM#824278 HRM#824099
       HRM#824100 HRM#824102 HRM#765079
     * Saving a map image could cause a crash with a high number of
       players on a crowded map. HRM#707912
     * Tweaked the categorisation of the event cache settings. HRM#778665
     * Slightly improved diagnostics for missing sound files. HRM#799291
     * Various internal changes which should only affect developers.
       HRM#735284 HRM#656441 HRM#656443 HRM#735289 HRM#767074 HRM#768652
       HRM#755356 HRM#776786 HRM#778025 HRM#780526 HRM#780300 HRM#800781
       HRM#800852 HRM#801661 HRM#801777 HRM#819537 HRM#821112 HRM#821128
       HRM#821847 HRM#824076 HRM#828263 HRM#846809 HRM#847090 HRM#848027
       HRM#823695 HRM#820981 HRM#851193

AI

     * The AI is now more likely to build sea attacker units. HRM#825073
     * The AI now attaches some (small) value to gaining culture points.
       HRM#767726
     * The AI now values getting an embassy from diplomacy, in rulesets
       like civ2civ3 where that reduces research costs. HRM#767838
     * Fix possible regression in AI's ability to build defending units
       when under threat. (Also, a server crash when started with
       --debug 4.) HRM#764974
     * AI is now more likely to build attacker units that will make a
       difference to the goal of conquering a specific city. HRM#825074
     * Speed-up for threaded AI. HRM#804448
     * Fix some failures to fully initialise AI state on loading a
       savegame. Could possibly affect ferries. HRM#804394 HRM#804440

Clients

     * When setting up single-player games, the client's AI level control
       no longer gets out of sync with the server state. HRM#765061
     * A forced tileset specified like freeciv-gtk3 --tiles amplio2 could
       be ignored when starting a scenario game. HRM#765923
     * Try to make the city outline display for city-founding units more
       accurate for some custom rulesets. HRM#746187
     * Fix possible trouble when ordering a unit to take an action on its
       current tile, such as building a city. HRM#827156
     * (Gtk3/3.22) If you pressed Escape when prompted for the name of a
       new city, the relevant unit could subsequently not respond to the
       (B)uild City command at all. Hitting Escape when renaming a city
       could also lead to trouble. HRM#689225
     * (Gtk3/3.22) Happiness tooltips from the city dialog could appear in
       the wrong place. HRM#768105
     * (Gtk3/3.22) The client no longer permanently consumes a lot of CPU
       after witnessing a nuclear explosion. HRM#850672
     * (Gtk3.22) Various keyboard shortcuts (such as Ctrl+S for save) were
       missing or wrong. Now they are consistent with other Gtk clients
       and the help. HRM#850291 HRM#850292 HRM#850293
     * (Gtk3.22) Menus and other UI elements now support keyboard
       navigation with Alt+key combinations, as in the other Gtk clients.
       HRM#850295 HRM#850297
     * (Gtk3.22) Fix a possible crash at startup. HRM#769012
     * (SDL) It was not possible to start a revolution with some rulesets,
       such as civ2civ3 with its default settings. HRM#794114
     * (SDL) Fix a possible crash on closing the client. HRM#824593
     * (SDL2) Fix a client crash. HRM#824589
     * (SDL2) The SDL2 client now treats touch events similarly to
       pressing the left mouse button. HRM#831742
     * (Qt) Many improvements to the Qt client:
          + If the ruleset allows building multiple road or base types in
            the current situation, the Qt client now allows choosing
            which, like other clients. HRM#684336
          + Zoom changes:
               o The map zoom level no longer affects the city dialog, the
                 resolution of units in the current list, etc. HRM#769214
                 HRM#769212
               o Option to control whether text size is scaled with the
                 map view. HRM#769204
          + Speed up startup and zooming. HRM#768847
          + On the Nations report, show "Science: (Unknown)" rather than
            "Science: 0%" if the information isn't known (due to lack of
            an embassy, etc). HRM#769585 HRM#825218
          + Fix various choices made on first run:
               o Huge fonts could be chosen on small displays. HRM#766497
               o Better default city dialog layout. HRM#767092
          + Virtual cities used for trade planning are now always shown,
            even if trade route drawing is disabled. HRM#767094
          + Adding a city to trade planning no longer has the side effect
            of opening its dialog. HRM#767095
          + Prevent observers attempting to rename cities or change their
            governor. HRM#769796
          + Look for themes in all data directories on the path, not just
            the first. HRM#782349 HRM#850290
          + With iso-hex tilesets, units were drawn too big. HRM#770253
          + Show technology icons in more places. HRM#771722
          + Tweak city dialog layout. HRM#770355
          + Clicking 'Load' with selecting a savegame to load caused a
            hang. HRM#778016
          + Fix an assertion failure in the city dialog. HRM#847688
          + Fix a warning when leaving a game with a meeting dialog open.
            HRM#769764
          + Other minor fixes. HRM#771721 HRM#767837
     * Fix various various client memory leaks. HRM#767983

Tools

     * Fixes to the experimental ruleset editor:
          + When saving a ruleset using root_reqs for techs, techs which
            implicitly inherited root_reqs from others were saved with
            explicit root_reqs. HRM#758958
          + When saving a ruleset while the system language was not
            English, the resulting ruleset could fail to load due to its
            OutputType requirements erroneously being translated.
            HRM#848260
     * Changes to the freeciv-manual tool:
          + Now includes minimal documentation of unit types. HRM#840873
          + Fix assertion failure. HRM#763694

Tilesets / Art

     * The Hexemplio city graphics for Asian, Babylonian, and Tropical
       city styles were wrong. HRM#774184

Help / Documentation

     * Miscellaneous improvements to in-game text and user documentation.
       HRM#763957 HRM#804379 HRM#734377 HRM#821646 HRM#825210 HRM#824129
       HRM#829168 HRM#851510 HRM#852070
     * Miscellaneous changes to developer/install/ruleset docs. HRM#765121
       HRM#767203 HRM#767841 HRM#692480 HRM#769401 HRM#785520 HRM#785647
       HRM#802774 HRM#769391 HRM#817952 HRM#741552 HRM#819966 HRM#820664
       HRM#821817 HRM#821798 HRM#821848 HRM#824117 HRM#834328 HRM#850289
     * Invisible changes to assist localization. HRM#765598 HRM#851518

Translations

     * Updated translations:
          + Complete translations: Polish, Russian.
          + Incomplete translations: French (99.9% core, 100% nations,
            100% ruledit), Catalan (99.7% core, 99.9% nations, 100%
            ruledit), Finnish (99.5% core, 91% nations, 98.2% ruledit),
            Spanish (94% core, 99.9% nations, 18% ruledit), British
            English (95.3% core, 100% nations, 100% ruledit).

Build/portability

     * Fix failure to find glibtoolize on Mac OS. HRM#714899
     * Fix deprecation warnings when building Gtk3 clients with Gtk+ 3.24
       and later. HRM#771103
     * Fix some compiler warnings with GCC 8/9/10. HRM#765910 HRM#801655
       HRM#825241 HRM#830116 HRM#851727 HRM#851728 HRM#851873
     * Fix widespread function pointer casting abuse that prevented
       building with Emscripten. HRM#775057
     * Fix a warning with the wasm toolchain. HRM#829535
     * Fix building SDL client with Freetype ≥ 2.9.1. (SDL2 client was not
       affected.) HRM#754206
     * The SDL2 client build could fail to complain gracefully about
       too-old Freetype2. HRM#765927
     * Fix possible configure failure to disable building of SDL2 client
       when SDL2 development files not present (upstream bz 4544).
       HRM#850938
     * Fix Qt build issue on Cygwin. HRM#820604
     * In Windows Gtk3.22 installers built with msys2, the modpack
       installer could not be launched. HRM#781746
     * Fix possible modpack installer build failure on some platforms.
       HRM#767468
     * Make the Gtk2 client's appdata XML format less out-of-date.
       HRM#767187
     * Some developer scripts now require a binary called python3;
       however, this is not required just to build from the distribution
       tarball. (The underlying scripts would still run in Python 2 or 3
       for now, but their #! line refers to python3.) HRM#842994


CHANGES FROM 2.6.0-RC2 to 2.6.0
-------------------------------

   For those who've been trying the betas, these are the changes since the
   last release candidate, 2.6.0-RC2:
     * The server could crash after loading a savegame where any player
       was using worker tasks. HRM#764223
     * With recent versions of Qt, the Cancel button wouldn't appear on
       the popup to choose a city's production. HRM#765387
     * The Qt client's unit help tooltip could show extra garbage.
       HRM#765390
     * The Amplio2/Cimpletoon tilesets have a more visible Pollution
       sprite. HRM#765046
     * Updated translations: French (complete), Finnish (98.4% core, 91%
       nations), Spanish (93% core, 97.4% nations), Japanese (89% core,
       95.8% nations).


CHANGES FROM 2.6.0-RC1 to 2.6.0-RC2
-----------------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.6.0-RC2>, 2018-07-13)

   RC2 is mainly a bugfix release.

Server / General

Changes affecting players (supplied rulesets)

     * Bribe cost for damaged units has increased. Previously (due to a
       bug) it was halved if the unit had lost any hitpoints at all. Now
       it depends on how damaged they are (up to at most a discount of
       half, as before). HRM#763896
     * Huts were never yielding settler-type units. HRM#700906
     * Global warming and nuclear winter had a small chance of occurring
       even when the client displayed the chance as 0%. HRM#763882
     * A few resources could be added to the map even when none were
       requested. HRM#763879
     * Historians were never reporting on the "LARGEST Civilizations"
       (with the most citizens), by mistake. HRM#763883

Changes affecting other rulesets / modders

     * Fix longstanding bug in rulesets with 129 or more unit types; if
       any of the later units was an upgrade or conversion target, the
       client would not allow the action. HRM#763984
     * The Lua function find.role_unit_type() can now find a unit with a
       given flag, as well as a given role. (This compensates for the
       property "Cities" having changed from a role to a flag in 2.6.)
       HRM#700906

Clients

     * The number of turns for a path displayed in Goto mode was one too
       few. HRM#763943
     * (Gtk2, Qt) Borders are now displayed correctly when zoomed in.
       HRM#756115
     * Various fixes and improvements to the Qt client:
          + Fix a client crash in goto mode. HRM#761748
          + Fix a client crash when observing a player with diplomacy
            dialogs open. HRM#764026
          + Opening the Policies dialog caused a client crash on some
            systems. HRM#759242
          + Fix non-working terrain and government links in help.
            HRM#763708
          + The Shift-E keyboard shortcut was used for both Airbase-type
            orders and for the Patrol order. Patrol is now Q, as in the
            Gtk clients. HRM#764407
          + The unit display now shows the extra turns left for fuel
            units. HRM#764524
          + The city dialog now shows help tooltips for buildings and
            units that are in the build queue, and buildings that are
            already built. HRM#735308
          + The battle log can now be resized. HRM#764025
          + The help dialog position and size are now remembered.
            HRM#764218
          + Change scaling of sidebar. HRM#760162
          + Other cosmetic issues and optimizations. HRM#735301 HRM#759976
            HRM#764525

Tilesets / Art

     * Amplio2, Cimpletoon, Isotrident, and Isophex tilesets now have
       icons for showing units' activity building specific extras.
       HRM#762838 HRM#762839

Help / Documentation

     * Invisible change to assist localization. HRM#763068

Translations

     * Updated (complete) translations: Catalan, Russian, Polish.

Known issues

     * Turn change in AI games has got slower; we suspect this is a result
       of action generalization.
     * There's some evidence that autosettlers have got less effective.
     * There are still problems in the new way tilesets are selected.
       HRM#685235
     * The Gtk3 clients currently don't have animation for moving the map
       view. HRM#735217


CHANGES FROM 2.6.0-beta3 to 2.6.0-RC1
-------------------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.6.0-RC1>, 2018-06-30)

   RC1 is mainly a bugfix release.

Server / General

Changes affecting players (supplied rulesets)

     * Reverted the change in beta3 which prevented units from building
       small wonders, because it broke the multiplayer ruleset. This
       change will be made more selectively in the next major version of
       Freeciv. HRM#745360
     * Partisans are supposed to only be granted when a city is conquered,
       but could be granted whenever a city changed hands for any reason
       (including by treaty. Surprise!) HRM#759770
     * When a unit such as a Leader was cargo on a transport that was lost
       with its home city, it could be 'saved' by teleporting to the site
       of that city. This could leave non-allied units on the same tile
       (Leader and city's conqueror), and prevent the Leader teleporting
       to a more distant, safe city. HRM#761808
     * The end-game score for an arrived spaceship included population in
       habitation modules that weren't actually attached to the spaceship
       at launch. HRM#757442
     * When gaining free Future Techs (for instance from Darwin's Voyage),
       some messages showed the wrong Future Tech number. HRM#761977
     * Setting a high "techlevel" setting could give the first player
       hundreds of spurious messages about newly available governments.
       HRM#759020

Changes affecting other rulesets / modders

     * Fixed errors in some supplied tilesets that could cause failure to
       load with errors about missing extrastyles when used with
       non-default rulesets (such as the Alien World modpack). HRM#758964
     * Font sizes specified in tilesets (city_names_font_size and
       city_productions_font_size) are now ignored in clients which have
       their own font configuration. HRM#760420

Changes affecting server operators

     * The '/list scenarios' command was also listing normal savegames.
       HRM#731199

General

     * Fix a rare compression failure which could stop commnication
       between client and server. HRM#746878 HRM#747319
     * Some improvements to unit debugging (/debug unit). HRM#760368
       HRM#760370
     * Tweak format of comments in various output files. HRM#761206
     * Various internal changes which should only affect developers.
       HRM#746481 HRM#748740 HRM#750470 HRM#753754 HRM#752336 HRM#756106
       HRM#756330 HRM#756589 HRM#756596 HRM#756731 HRM#756736 HRM#756880
       HRM#756893 HRM#756188 HRM#757062 HRM#758949 HRM#758950 HRM#758952
       HRM#758434 HRM#758725 HRM#750895

Clients

     * In clients which support setting worker tasks from the city map
       (Gtk3/Qt), you can now request cleaning pollution/fallout.
       HRM#760367
     * Improve the display of negative science output, and forecasting of
       the time to loss of a tech. HRM#756203
     * Most clients could give trouble such as assertion failures when
       attempting a new unit action after another action turned out to be
       illegal. HRM#747465
     * The pillage select target dialog did not give the option to
       continue pillaging, and did not pop up at all for a unit that was
       already pillaging one of two possible targets. HRM#756325
     * (Gtk) Fix longstanding inability to permanently change the city
       name font size on the map view. This used to get overridden by the
       tileset; now the font specified in the options is always used.
       HRM#760420
     * (Gtk3) The pillage select target dialog has been reworked; it now
       shows the owner of the pillage target, if applicable, and an icon.
       HRM#753268 HRM#753305
     * (Gtk3) The button order in the dialog used for transport selection
       is more intuitive. HRM#756225 Also fix possible trouble with the
       radio buttons in this dialog. HRM#754966
     * (Gtk3) The right-click map selection rectangle in the supplied
       Windows Gtk3 package is back to looking as intended. HRM#736230
     * (Gtk2, Qt) The icon indicating a unit's activity could be drawn in
       the wrong place when zoomed. HRM#731629
     * (Qt) Fix assertion failure in science report when no research, or
       future tech, was selected. HRM#732483
     * (Qt) Fix a few cosmetic issues, particularly with zoom. HRM#738922
       HRM#756105 HRM#738921

Tilesets / Art

     * In the Amplio2/Cimpletoon/Hexemplio/Toonhex tilesets, large
       unwalled 'industrial' style cities used the wrong graphics.
       HRM#761751

Help / Documentation

     * The civ2civ3/sandbox rulesets' government help now contains less
       duplication and is more accurate. HRM#657407
     * The online help now describes the effects of root requirements in
       the tech tree, in rulesets which have them (such as the
       experimental ruleset). HRM#758591
     * Miscellaneous improvements to in-game text and user documentation.
       HRM#744655 HRM#744672 HRM#747005 HRM#727051 HRM#760366 HRM#760497
       HRM#689474 HRM#761776
     * Miscellaneous changes to developer/ruleset docs. HRM#744666
       HRM#733917 HRM#758948 HRM#761202

Translations

     * Updated translations:
          + Complete translations: Catalan, Polish, French.
          + Incomplete translations: British English (95.3% core, 100%
            nations, 100% ruledit).

Build/portability

     * The Windows .cmd scripts gave a syntax error when started without a
       parameter. HRM#700914

Known issues in 2.6

     * Turn change in AI games has got slower; we suspect this is a result
       of action generalization.
     * There's some evidence that autosettlers have got less effective.
     * There are still problems in the new way tilesets are selected.
       HRM#685235
     * The Gtk3 clients currently don't have animation for moving the map
       view. HRM#735217


CHANGES FROM 2.6.0-beta2 to 2.6.0-beta3
---------------------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.6.0-beta3>, 2018-04-07)

   Beta3 is mainly a bugfix release. Notably, it should fix crashes in the
   Windows Gtk clients when moving or resizing dialogs, and the default
   Gtk3 client now draws animations in a new way which is less laggy.

Server / General

Changes affecting players (supplied rulesets)

     * Units were prevented from moving between transports on different
       tiles in some circumstances. HRM#693380
     * In the Gtk3.x and Qt clients, it's now possible to move a unit
       between transports on the same tile. HRM#732489
     * Stealing a future technology was accidentally yielding two of them.
       HRM#736836
     * Units can no longer help to build small wonders such as the Palace.
       (However, this is likely to be reverted before 2.6.0; see known
       issues.) HRM#705580
     * Fix a cause of error messages like "Team 0 had invalid technology
       goal" when loading savegames with AI players. HRM#695971
     * Put a message about nuclear attack in a more appropriate category.
       HRM#735934
     * The tutorial scenario was not displaying messages about technology
       if you acquired them by means other than research (for instance,
       from a hut). HRM#657359
     * Changes to the civ1 ruleset to improve its fidelity:
          + It's no longer possible to know a tech without its
            prerequisites. HRM#729171
          + Adjusted the progress of years to be more like the original.
            HRM#731631

Changes affecting other rulesets / modders

     * More checking (and documentation) of the relationship between extra
       and base/road sections in the ruleset. HRM#736838 HRM#736837
     * Fix a crash with a malformed tileset. HRM#729532
     * Remove any special handling of terrain name "unused" (which hasn't
       done anything useful for some time). HRM#707585
     * The new help system for extras works best if their main effect
       clause is simplified and any special cases moved to subsidiary
       clauses; this particularly affects the standard pattern of
       irrigation and farmland effects. 2.6 ruleset authors may wish to
       compare their effects.ruleset to the changes in supplied rulesets;
       without these changes, the terrain help may not show the bonuses of
       your extras.
     * The onus is now on rulesets to describe the effects of irrigation,
       mining, and pollution if relevant. 2.6 ruleset authors may wish to
       change their help in line with the changes to supplied rulesets.

General

     * Fix an erroneous diagnostic for a malformed savegame. HRM#729275
     * Fix a minor server memory leak. HRM#735637
     * Various internal changes which should only affect developers.
       HRM#715161 HRM#730564 HRM#696674 HRM#729900 HRM#733792 HRM#735850
       HRM#735940 HRM#740444

Clients

     * The Windows builds of the Gtk clients tended to crash when certain
       dialogs were moved or resized. This was a regression since beta1.
       (This fix unfortunately leads to the rubber-band selection
       rectangle in the Windows Gtk3 client becoming uglier.) HRM#735238
     * Less laggy animations in the Gtk3 client (these were already in
       Gtk3.22). However, map scrolling animation is still absent.
       HRM#726552
     * In the city dialog, clicking on the middle tile to rearrange
       workers could fail to update the city dialog map display.
       HRM#736822
     * Music system: in-game music could be played even after leaving a
       game. HRM#730597
     * Give error messages when the tileset specified with the --tiles
       command-line option, or suggested by the ruleset, can't be loaded.
       HRM#730777 HRM#657414
     * Gtk3.22: when a unit died while the client was still showing its
       earlier movement (for instance when attacking), the animation of
       its movement was not shown fully. HRM#737277
     * Gtk3.22: remove some spurious underscores from UI element names.
       HRM#719507
     * SDL2: fix "Unable to create Sprite" errors on console when city
       dialog is opened. HRM#684183

Tools

     * The ruleset editor statistics now include the number of
       multipliers. HRM#735246

Tilesets / Art

     * Updates for the Hexemplio/Toonhex tilesets: hex-shaped
       forts/fortresses and city walls, less obtrusive ruins, and improved
       water. HRM#729151 HRM#729137 HRM#731454
     * Less obtrusive ruins in Amplio2. HRM#697692
     * Other very minor tileset tweaks. HRM#692596 HRM#729141

Help / Documentation

     * The built-in help now fully covers the updated 2.6 terrain
       improvement and conversion system and corresponding ruleset
       features. Some errors in the already existing help were also fixed.
       HRM#732512 HRM#733895 HRM#733989 HRM#657410 HRM#732507 HRM#733863
       HRM#733865 HRM#733902 HRM#736795 HRM#736830 HRM#736833
     * The help for the 'sandbox' ruleset now notes that savegames may not
       be portable even between minor releases. HRM#732480
     * Miscellaneous improvements to in-game text and user documentation.
       HRM#699164 HRM#696673 HRM#691877 HRM#660409 HRM#733864 HRM#733913
       HRM#733929 HRM#730586
     * Miscellaneous changes to developer/ruleset docs. HRM#732479
       HRM#699149 HRM#736837 HRM#738322 HRM#738321 HRM#738908 HRM#740593

Translations

     * Updated translations:
          + Complete translations: Russian.
          + Incomplete translations: Catalan (100% core, 100% nations,
            98.2% ruledit), Polish (99.6% core, 100% nations, 98.2%
            ruledit), Finnish (98.5% core, 91% nations, 98.2% ruledit),
            British English (95.1% core, 100% nations, 100% ruledit).

Build/portability

     * Fix a possible failure to build the Qt client (undefined reference
       to SDL_main), observed on Mac OS X Sierra. HRM#734798
     * We now recommend that packagers favor the Gtk3.22 client over the
       Gtk3 one. HRM#726799
     * The supplied appdata .xml files have been updated to a more modern
       format. HRM#690231
     * The appdata .xml file for the Gtk3.22 client referred to the wrong
       .desktop file. HRM#738290
     * Fix some compiler warnings with Clang 6.0 HRM#733013 and GCC 8
       HRM#731162.

Known issues

     * The rule change which disallows caravans/freight from helping build
       small wonders breaks the multiplayer ruleset, where most wonders
       are small wonders. We may revert it from 2.6 and postpone to 3.0.
       HRM#745360
     * The Gtk3 clients currently don't have animation for moving the map
       view. HRM#735217
     * The right-click map selection rectangle in the supplied Windows
       Gtk3 package is ugly and leaves trails behind on the map view.
       HRM#736230


CHANGES FROM 2.6.0-beta1 to 2.6.0-beta2
---------------------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.6.0-beta2>, 2018-01-20)

   As well as bugfixes, beta2 brings a substantial revision of the Europe
   WWI scenario, the "sandbox" ruleset showing off new engine features,
   and a number of UI improvements in the Qt client.

Server / General

Changes affecting players (supplied rulesets)

     * Savegames created from scenarios could fail to save map resources.
       HRM#697666
     * Client/server communication could fail when the client discovered a
       tile with a text label that was too long. (This could be
       locale-dependent; it showed up in the Russian localization.)
       HRM#720199
     * Fixed server crashes caused by AI ferry passengers dying.
       HRM#721949 HRM#714453
     * The cost to buy "small wonders" (such as the Palace) was
       unintentionally twice what was intended. (This was a longstanding
       issue.) HRM#706727
     * Capturing a unit did not count for cancelling the capturer's
       fortified status, nor for unitwaittime. HRM#692282
     * The 'sandbox' ruleset from Git is now included. This is a place for
       developers to experiment with and demonstrate new engine features,
       without regard to game balance or savefile compatibility; sandbox
       games started in this version may not load into future releases
       (even minor 2.6.x releases). HRM#696004
     * The "Europe 1901" scenario has been replaced with a newer version
       (and is now called "Europe 1900 WWI"). The changes are described on
       the forum. HRM#697660 HRM#696031 HRM#724926
     * Some updates to the "large Earth" scenario. Notably, players now
       start with their first city built. HRM#702265
     * The tutorial scenario's message about city growth to size 13
       referenced a nonexistent event type. Possibly this was causing "lua
       error" messages. HRM#723052
     * When loading a savegame from 2.5 or before, the set of victory
       conditions was not preserved. HRM#698566
     * Fix an assertion failure when auto-arranging city workers in tricky
       situations (while trying to invoke last-ditch measures). HRM#695022
     * Minor nation tweaks. HRM#697681 HRM#697682 HRM#706252 HRM#707576
       HRM#707595

Changes affecting other rulesets / modders

     * The city_size_change Lua signal is now emitted after the size
       change in all cases, is no longer emitted when city growth turned
       out to be prevented, and can cope with the signal handler
       destroying the city. HRM#690756 HRM#700910 HRM#701045
     * The values of Lua variables could fail to be loaded from savegames,
       if some of the saved variables referenced game objects (units,
       cities, etc). In some cases this was locale-dependent. HRM#722287
       HRM#722288

General

     * Sped up shared vision transfers; this helps particularly when
       loading savegames. HRM#723442
     * Various internal changes which should only affect developers.
       HRM#699017 HRM#695946 HRM#705553 HRM#701840 HRM#700909 HRM#702406
       HRM#702806 HRM#705391 HRM#705525 HRM#705468 HRM#718497

AI

     * The AI now values science more than gold. HRM#662670
     * The AI is now more motivated to try for a space race victory.
       HRM#660489
     * The threaded AI's worker units could build fruitless roads.
       HRM#706211
     * Fix autosettler bugs:
          + Autosettlers were not acting on their desire to build road
            networks and prevent climate change. HRM#719516
          + Autosettlers didn't get around to doing activities of marginal
            benefit, even if they had nothing better to do. HRM#719512
          + Autosettlers were overvaluing roads on hex maps, and built
            them in odd patterns for no good reason. HRM#695738

Clients

     * The "Turn Done" button is now disabled in fixed-length gameplay,
       since it serves no purpose. HRM#700675
     * Messages from the server operator (/wall) now default to causing a
       pop-up dialog, for new client installations. (Such messages can be
       used for instance to warn of server shutdown; without this setting,
       it was not possible to see the message after the server
       disconnected.) HRM#690212
     * Trying to load a savegame from a ruleset with a preferred_tileset
       (such as the 'civ2civ3_earth' modpack) using the -f command-line
       option caused error messages and a quit HRM#706353; in the Qt
       client, the same would happen with the savegame dialog. HRM#706356
       HRM#709134
     * Bugfixes to the Gtk3.x clients:
          + The Windows build crashed when browsing for savegames.
            HRM#701751 HRM#701889
          + When zoomed out, unused parts of the map view could fail to
            have a black background. HRM#638737
          + The minimap didn't update often enough. HRM#697658
          + Trouble and console warnings with middle-click popups,
            tooltips, etc. HRM#699488 HRM#703869
          + Less laggy animations in the Gtk3.22 client. We hope to bring
            this to the Gtk3 client too. HRM#696457 HRM#700642 HRM#704182
            HRM#706322 HRM#707623 HRM#700641
     * Bugfixes and other changes to the Qt client:
          + It was not possible to select spaceship parts to build in
            cities. HRM#709338
          + The client could segfault after displaying an early error
            message (such as a tileset loading error). HRM#704711
          + Changing research unintentionally closed the research dialog.
            HRM#708554
          + Keyboard shortcuts for the city dialog: left/right will change
            cities, up/down will change production of the current city.
            HRM#709335
          + Diplomatic treaties can be accepted or rejected with the
            keyboard. HRM#709337
          + Double-clicking on a server name will now connect to it.
            HRM#704602
          + The city worklist tooltip now shows more information.
            HRM#704607
          + Themes can now affect dialogs' title bars. HRM#710896
          + Other cosmetic tweaks. HRM#704608 HRM#704929 HRM#708258

Tilesets / Art

     * Tweak the position of the patrol icon in the Hexemplio/Toonhex
       tilesets. HRM#686635

Help / Documentation

     * Miscellaneous improvements to in-game text and user documentation.
       HRM#697680 HRM#698845 HRM#700291 HRM#699161
     * Miscellaneous changes to developer/ruleset docs. HRM#700290
       HRM#705526
     * Invisible changes to assist localization. HRM#657416 HRM#698844

Translations

     * Updated translations:
          + Complete translations: French.
          + Incomplete translations: Finnish (100% core, 91% nations, 100%
            ruledit), Polish (>99.9% core, 100% nations, 100% ruledit),
            Catalan (>99.9% core, 99.9% nations, 100% ruledit), Russian
            (99.9% core, 99.9% nations, 100% ruledit), British English
            (95% core, 100% nations, 100% ruledit), Spanish (84% core,
            97.4% nations, 18% ruledit).

Build/portability

     * Do not insist on a 'tolua' command; it is not needed when building
       from a tarball. HRM#675964
